For the complete documentation index, see llms.txt. This page is also available as Markdown.

PreMatch Outright

Snapshot API endpoints for PreMatch outright events.

Use these endpoints to retrieve snapshots of PreMatch outright events, fixtures, markets, and scores.

For general usage guidelines, request limitations, and time filtering behaviour, see the Snapshot API overview.


GetOutrightEvents

Retrieve a full snapshot of all PreMatch outright events.

post
Body
userNamestring · min: 1Required
passwordstring · min: 1Required
packageIdinteger · int32 · min: 1 · max: 2147483647Required
sportsinteger · int32[] · nullableOptional
locationsinteger · int32[] · nullableOptional
leaguesinteger · int32[] · nullableOptional
tournamentsinteger · int32[] · nullableOptional
fixturesinteger · int32[] · nullableOptional
marketsinteger · int32[] · nullableOptional
fromDateinteger · int64 · nullableOptional
toDateinteger · int64 · nullableOptional
timestampinteger · int64 · nullableOptional
Responses
200

Success

No content

post/PreMatch/GetOutrightEvents
POST /PreMatch/GetOutrightEvents HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 179

{
  "userName": "text",
  "password": "text",
  "packageId": 1,
  "sports": [
    1
  ],
  "locations": [
    1
  ],
  "leagues": [
    1
  ],
  "tournaments": [
    1
  ],
  "fixtures": [
    1
  ],
  "markets": [
    1
  ],
  "fromDate": 1,
  "toDate": 1,
  "timestamp": 1
}
200

Success

No content

Example of '/PreMatch/GetOutrightEvents'

GetOutrightFixture

Retrieve a snapshot of a specific PreMatch outright fixture.

post
Body
userNamestring · min: 1Required
passwordstring · min: 1Required
packageIdinteger · int32 · min: 1 · max: 2147483647Required
sportsinteger · int32[] · nullableOptional
locationsinteger · int32[] · nullableOptional
leaguesinteger · int32[] · nullableOptional
tournamentsinteger · int32[] · nullableOptional
fixturesinteger · int32[] · nullableOptional
marketsinteger · int32[] · nullableOptional
fromDateinteger · int64 · nullableOptional
toDateinteger · int64 · nullableOptional
timestampinteger · int64 · nullableOptional
Responses
200

Success

No content

post/PreMatch/GetOutrightFixture
POST /PreMatch/GetOutrightFixture HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 179

{
  "userName": "text",
  "password": "text",
  "packageId": 1,
  "sports": [
    1
  ],
  "locations": [
    1
  ],
  "leagues": [
    1
  ],
  "tournaments": [
    1
  ],
  "fixtures": [
    1
  ],
  "markets": [
    1
  ],
  "fromDate": 1,
  "toDate": 1,
  "timestamp": 1
}
200

Success

No content

Example of '/PreMatch/GetOutrightFixture'

GetOutrightFixtureMarkets

Retrieve a snapshot of markets for PreMatch outright fixtures.

post
Body
userNamestring · min: 1Required
passwordstring · min: 1Required
packageIdinteger · int32 · min: 1 · max: 2147483647Required
sportsinteger · int32[] · nullableOptional
locationsinteger · int32[] · nullableOptional
leaguesinteger · int32[] · nullableOptional
tournamentsinteger · int32[] · nullableOptional
fixturesinteger · int32[] · nullableOptional
marketsinteger · int32[] · nullableOptional
fromDateinteger · int64 · nullableOptional
toDateinteger · int64 · nullableOptional
timestampinteger · int64 · nullableOptional
Responses
200

Success

No content

post/PreMatch/GetOutrightFixtureMarkets
POST /PreMatch/GetOutrightFixtureMarkets HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 179

{
  "userName": "text",
  "password": "text",
  "packageId": 1,
  "sports": [
    1
  ],
  "locations": [
    1
  ],
  "leagues": [
    1
  ],
  "tournaments": [
    1
  ],
  "fixtures": [
    1
  ],
  "markets": [
    1
  ],
  "fromDate": 1,
  "toDate": 1,
  "timestamp": 1
}
200

Success

No content

Example of '/PreMatch/GetOutrightFixtureMarkets'

GetOutrightScores

Retrieve a snapshot of scores for PreMatch outright events.

post
Body
userNamestring · min: 1Required
passwordstring · min: 1Required
packageIdinteger · int32 · min: 1 · max: 2147483647Required
sportsinteger · int32[] · nullableOptional
locationsinteger · int32[] · nullableOptional
leaguesinteger · int32[] · nullableOptional
tournamentsinteger · int32[] · nullableOptional
fixturesinteger · int32[] · nullableOptional
marketsinteger · int32[] · nullableOptional
fromDateinteger · int64 · nullableOptional
toDateinteger · int64 · nullableOptional
timestampinteger · int64 · nullableOptional
Responses
200

Success

No content

post/PreMatch/GetOutrightScores
POST /PreMatch/GetOutrightScores HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 179

{
  "userName": "text",
  "password": "text",
  "packageId": 1,
  "sports": [
    1
  ],
  "locations": [
    1
  ],
  "leagues": [
    1
  ],
  "tournaments": [
    1
  ],
  "fixtures": [
    1
  ],
  "markets": [
    1
  ],
  "fromDate": 1,
  "toDate": 1,
  "timestamp": 1
}
200

Success

No content

Last updated

Was this helpful?